#pragma once
#include <Array.h>
#include <Bildschirm.h>
#include <Zeichnung.h>

using namespace Framework;

class Menu : public ReferenceCounter
{
protected:
    RCArray<Zeichnung> elements;
    Bildschirm* zScreen;

public:
    Menu(Bildschirm* zScreen);

    virtual void show();
    virtual void hide();
};